################# TACHYBASE APPLICATION #################
# NOTE: production 环境将启用遥测，上报数据至生产环境，除非你知道自己在做什么并已沟通确认，否则请不要这样设置！
APP_ENV=development
APP_PORT=3000
APP_KEY=test-key

# experimental support
EXTENSION_UI_BASE_PATH=/adapters/

API_BASE_PATH=/api/
API_BASE_URL=

# console | file | dailyRotateFile
LOGGER_TRANSPORT=
LOGGER_BASE_PATH=storage/logs
# error | warn | info | debug
LOGGER_LEVEL=
# If LOGGER_TRANSPORT is dailyRotateFile and using days, add 'd' as the suffix.
LOGGER_MAX_FILES=
# add 'k', 'm', 'g' as the suffix.
LOGGER_MAX_SIZE=
# json | splitter, split by '|' character
LOGGER_FORMAT=

################# DATABASE #################

DB_DIALECT=sqlite
DB_STORAGE=storage/db/tachybase.sqlite
DB_TABLE_PREFIX=
# DB_HOST=localhost
# DB_PORT=5432
# DB_DATABASE=postgres
# DB_USER=tachybase
# DB_PASSWORD=tachybase
# DB_LOGGING=on
# DB_UNDERSCORED=false

#== SSL CONFIG ==#
# DB_DIALECT_OPTIONS_SSL_CA=
# DB_DIALECT_OPTIONS_SSL_KEY=
# DB_DIALECT_OPTIONS_SSL_CERT=
# DB_DIALECT_OPTIONS_SSL_REJECT_UNAUTHORIZED=true

################# CACHE #################
CACHE_DEFAULT_STORE=memory
# max number of items in memory cache
CACHE_MEMORY_MAX=2000
# CACHE_REDIS_URL=

################# STORAGE (Initialization only) #################

INIT_LANG=en-US
INIT_ROOT_EMAIL=admin@tachybase.com
INIT_ROOT_PASSWORD=!Admin123.
INIT_ROOT_NICKNAME=Super Admin
INIT_ROOT_USERNAME=tachybase

################# TELEMETRY #################

# TELEMETRY_ENABLED=on # 是否启用后端遥测
# TELEMETRY_SERVICE_NAME=tachybase-default-demo # 服务名称，默认为 tachybase-main
# OTEL_LOG_LEVEL=debug # OpenTelemetry 日志级别，仅输出到控制台，见 https://open-telemetry.github.io/opentelemetry-js/enums/_opentelemetry_api.DiagLogLevel.html ，不配置则默认不输出日志
# OTEL_METRICS_READER=console,prometheus # 指标读取器，两个均为内置，console 为控制台，prometheus 为 prometheus 服务器
# OTEL_PROMETHEUS_SERVER=on # 是否启用 Prometheus 服务，用于创建服务器以供导出指标数据
# OTEL_PROMETHEUS_PORT=9464 # Prometheus 服务器端口，默认为 9464，注意此服务器没有鉴权
# OTEL_TRACES_PROCESSOR=console,otlp # 链路追踪处理器，两个均为内置，console 为控制台，otlp 为 OTLP 规范的追踪服务器
# OTEL_EXPORTER_OTLP_TRACES_ENDPOINT_GRPC=http://localhost:4317 # OTLP https://opentelemetry.io/docs/specs/otlp/ 规范的追踪服务器的 gRPC 端点地址
# 下面为前端 Sentry 跟踪配置，注意修改后需要重新 build 前端代码
# SENTRY_DSN= # Sentry DSN，用于前端遥测，留空则不启用前端遥测
# SENTRY_TRACE_ENABLE=on # 是否启用 Sentry 跟踪，文档 https://docs.sentry.io/platforms/javascript/guides/react/tracing/
# SENTRY_TRACE_SAMPLE_RATE=1.0 # Sentry 跟踪采样率，1.0 为 100%，0.0 为 0%，默认为 1.0
# SENTRY_TRACE_PROPAGATION_TARGETS=localhost,/^\// # Sentry 跟踪传播目标过滤器，多个用逗号分隔，支持正则，默认为 localhost,/^\// ，文档 https://docs.sentry.io/platforms/javascript/tracing/instrumentation/automatic-instrumentation/#tracepropagationtargets
# SENTRY_SESSION_REPLAY_ENABLE=on # 是否启用 Sentry 会话重放，文档 https://docs.sentry.io/platforms/javascript/guides/react/session-replay/
# SENTRY_SESSION_REPLAY_SAMPLE_RATE=0.1 # Sentry 会话重放采样率，1.0 为 100%，0.0 为 0%，默认为 0.1
# SENTRY_SESSION_REPLAY_ONERROR_SAMPLE_RATE=1.0 # Sentry 会话重放错误采样率，1.0 为 100%，0.0 为 0%，默认为 1.0
